<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Directors</title>


</head>
<body>
<div layout:fragment="content">
    <h1>All films</h1>
    <div class="row">
        <div class="col">
            <a href="directors/add"
               class="btn btn-secondary"
               role="button"
               style="float: right"
               aria-disabled="true">Added director</a>
        </div>
    </div>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">Director FIO</th>
            <th scope="col">Films</th>
            <th scope="col">Position</th>
            <th scope="col"></th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="director : ${directors}">
            <td>
                <a class="director-link" th:href=" '/directors' + ${director.getId()}"
                   th:text="${director.getDirectorsFio()}">Director FIO</a>
            </td>
            <td>
                <ul>
                    <li th:each="film : ${director.getFilms()}" th:text="${film.getTitle()}"></li>
                </ul>
            </td>
            <td th:text="${director.getPosition()}"></td>


        </tr>
        </tbody>
    </table>
</div>
</body>
</html>